comedi_reset
Prev | 5.4.6. Extensions | Next

## Name

comedi_reset — reset a subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_reset(` | comedi_t * device,
| unsigned int subdevice`)`;

## Status

alpha

## Description

This function resets a subdevice. It is only useable on subdevices that provide support for the `INSN_CONFIG_RESET` configuration instruction. Some subdevices treat this as an instruction to reset a specific channel. For those subdevices, this function will reset channel `0` and `comedi_reset_channel` should be called instead of this one to specify the channel.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_get_routing | Home | comedi_reset_channel